%define debug_package %{nil}

Name:           gnome-rdp        
Version:        0.2.3
Release:        9%{?dist}
Summary:        Remote Desktop Protocol client for the GNOME desktop environment

Group:          Applications/Internet
License:        GPLv3+
URL:            http://sourceforge.net/projects/gnome-rdp
Source0:        http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Patch0:         gnome-keyring-version.patch 
Patch1:		gnome-rdp-vnc.patch
Patch2:		gnome-rdp-0.2.3-Mono.Data.Sqlite.patch
Patch3:		gnome-rdp-0.2.3-GLib-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

BuildRequires:  nant
BuildRequires:  glib2-devel >= 2.15.3
BuildRequires:  gtk2-devel >= 2.12.0  
BuildRequires:  mono-devel >= 1.9
BuildRequires:  mono-data-sqlite >= 1.9
BuildRequires:  gtk-sharp2-devel >= 1.9
BuildRequires:  gnome-sharp-devel >= 2.16.1
BuildRequires:  gnome-desktop-sharp >= 2.20.1
BuildRequires:  gnome-desktop-sharp-devel >= 2.20.1
BuildRequires:  gnome-keyring-sharp-devel
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  vnc
BuildRequires:  rdesktop
BuildRequires:  openssh-clients
BuildRequires:  gnome-terminal

Requires:       rdesktop >= 1.6.0
Requires:	tigervnc
# for vncpasswd
Requires:	tigervnc-server

%description
gnome-rdp is a Remote Desktop Protocol client for the GNOME desktop
environment. It supports RDP, VNC and SSH. Configured sessions can be saved to
the built in list.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
nant -D:prefix=%{_prefix} -D:libdir=%{_libdir}

%install
rm -rf %{buildroot}
nant -D:DESTDIR=%{buildroot} -D:libdir=%{_libdir} install
desktop-file-install --vendor=""                           \
    --remove-category="Internet"                             \
    --delete-original                                        \
    --dir=%{buildroot}%{_datadir}/applications               \
    %{buildroot}%{_datadir}/applications/gnome-rdp.desktop
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%doc AUTHORS
%doc README
%doc ChangeLog
%{_bindir}/gnome-rdp
%{_libdir}/gnome-rdp/
%{_datadir}/applications/gnome-rdp.desktop
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/gnome-rdp.png

%changelog
* Thu May 26 2011 Dan Horák <dan[at]danny.cz> - 0.2.3-9
- updated the supported arch list

* Mon May 16 2011 Tom Callaway <spot@fedoraproject.org> - 0.2.3-8
- use Mono.Data.Sqlite
- fix program to actually run

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.2.3-6
- exclude sparc64

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 02 2009 John Anderson <john.e.anderson@gmail.com> - 0.2.3-4
- Fix vnc for bug #508302

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 11 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.3-2
- Changed licensing in package to GPL3 to match upstream
- Removed DESTDIR from build command

* Tue Aug 26 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.3-1
- New upstream release
- Now using nant build
- Better description
- Added ssh, vnc requirements
- Listed reasons for excludes

* Thu Aug 07 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.2.3-5
- Fixed startup script to work on i386 and x86_64, builds in koji, runs on fc10 alpha

* Tue Jul 22 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.2.3-4
- Fixed sqlite dependency for x86_64, added excludes for ppc

* Mon Jul 21 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.2.3-3	
- Fixed VTE sharp dependencies

* Wed Jul 16 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.2.3-2
- Fixed comments from Christoph Wickert and Guido Ledermann per review (#448717)

* Tue May 27 2008 John Anderson <john.e.anderson@gmail.com> - 0.2.2.3-1
- Initial build.
